Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122214 - Review Request: nodejs-cls - Class factory
Summary: Review Request: nodejs-cls - Class factory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122234
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:03 UTC by Ralph Bean
Modified: 2014-08-15 02:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 17:20:48 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:03:59 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-cls.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-cls-0.1.5-1.fc20.src.rpm

Description:
Class factory featuring inheritance of static properties, static constructors,
lazy population of prototypes, and this._super.

Comment 1 Parag AN(पराग) 2014-07-23 08:53:59 UTC
Review:

+ mock build is successful for f22

+ rpmlint output on rpms gave
nodejs-cls.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :e2fcaaa76ef101ab87d9510658c504f96e715e70c19c597de10507fcc356f85f
upstream tarball :e2fcaaa76ef101ab87d9510658c504f96e715e70c19c597de10507fcc356f85f

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:06:37 UTC
New Package SCM Request
=======================
Package Name: nodejs-cls
Short Description: Class factory
Upstream URL: https://npmjs.org/package/cls
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 14:23:59 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 17:12:22 UTC
nodejs-cls-0.1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-cls-0.1.5-1.fc20

Comment 5 Fedora Update System 2014-07-23 17:12:33 UTC
nodejs-cls-0.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-cls-0.1.5-1.fc19

Comment 6 Ralph Bean 2014-07-23 17:20:48 UTC
Buildroot overrides created.

Comment 7 Fedora Update System 2014-08-15 02:32:11 UTC
nodejs-cls-0.1.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:55:51 UTC
nodejs-cls-0.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.